use strict;
my ($text);

chdir "../Definitions";
open IN, "xslDefinitions.xml";
read IN, $text, 5000000;
close IN;


while($text =~ /<key *name *= *[",'] *(.*?) *[",'] *>(.*?)<\/key/gs)
{
my ($key, $contents, $fileKey, $spec);
$key = $1;
$contents = $2;
$fileKey = $key;
$fileKey =~ s/:/__/g;
$fileKey =~ s/-/_/g;

$contents =~ /<spec *>(.*?)<\/spec/s;
$spec = $1;
open OUT, ">$fileKey.html";
print OUT "
<HTML><HEAD><link rel='stylesheet' type='text/css' href='../CSS/tutorial.css'>
</HEAD><BODY onLoad='focus()'>
<H2> <A href='#' target='_blank' class='TAG'>$key</A></H2>
<H3><A target='_blank' HREF='http://www.w3.org/1999/07/WD-xslt-19990709.html'>W3C Working Draft</A></H3>
<P>$spec</P>
</BODY></HTML>
";
close OUT;

}

